Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.addressing.soap
Interface SoapClient

All Superinterfaces:
  SoapMonitor

All Known Implementing Classes:
  SimpleSoapClient

public interface SoapClient
extends SoapMonitor

SoapClient is a generic interface for a common set of SOAP utilities that may be implemented with different APIs from platform to platform. It allows users to send messages without putting API-specific references in their code.

Author:
  Dan Jemiolo (danj)

Method Summary
`org.w3c.dom.Element[]` | `send(EndpointReference src, EndpointReference dest, java.lang.String wsaAction, org.w3c.dom.Element[] body)` Sends a SOAP envelope with the given body to the given destination.
`org.w3c.dom.Element[]` | `send(EndpointReference src, EndpointReference dest, java.lang.String wsaAction, org.w3c.dom.Element[] body, org.w3c.dom.Element[] extraHeaders)` Sends a SOAP envelope with the given body to the given destination.

Methods inherited from interface org.apache.muse.ws.addressing.soap.SoapMonitor
`getSoapMonitorPort, isUsingSoapMonitor, startSoapMonitor, stopSoapMonitor`

Method Detail

### send

    public org.w3c.dom.Element[] send(EndpointReference src,
                                      EndpointReference dest,
                                      java.lang.String wsaAction,
                                      org.w3c.dom.Element[] body)

  Sends a SOAP envelope with the given body to the given destination. The SOAP header will include WS-A headers, one of which will be the WS-A Action specified in the third parameter. This method is not asynchronous - it will wait for a response and return the contents of the SOAP body.

  Parameters:
    `src` - The EPR of the service sending the message.
    `dest` - The EPR of the service that will receive the message.
    `wsaAction` - The WS-A Action that specifies the operation to be invoked on the destination service.
    `body` - The contents of the SOAP body.
  Returns:
    The contents of the SOAP body in the response message. If the request resulted in a fault, the contents will include the fault XML. Note that such faults are not related to basic networking/SOAP faults.

### send

    public org.w3c.dom.Element[] send(EndpointReference src,
                                      EndpointReference dest,
                                      java.lang.String wsaAction,
                                      org.w3c.dom.Element[] body,
                                      org.w3c.dom.Element[] extraHeaders)

  Sends a SOAP envelope with the given body to the given destination. The SOAP header will include WS-A headers, one of which will be the WS-A Action specified in the third parameter. This method is not asynchronous - it will wait for a response and return the contents of the SOAP body.

  Parameters:
    `src` - The EPR of the service sending the message.
    `dest` - The EPR of the service that will receive the message.
    `wsaAction` - The WS-A Action that specifies the operation to be invoked on the destination service.
    `body` - The contents of the SOAP body.
    `extraHeaders` - SOAP header elements that should be added to the outgoing message. These headers must not use the WS-Addressing namespace.
  Returns:
    The contents of the SOAP body in the response message. If the request resulted in a fault, the contents will include the fault XML. Note that such faults are not related to basic networking/SOAP faults.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD